Subject: Re: cygwin.dll concurrency bug?
From: [email-masked] ("Jason V. Robertson~")

31 Jul 1997 22:37:02 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <199708010451.VAA04332.cygnus.gnu-win32@maverick>
In-Reply-To: <[email-masked]> from "Jason V. Robertson" at "Jul 31, 97 10:18:00 am"
Original-To: [email-masked] (Jason V. Robertson)
Original-Cc: [email-masked]
X-Mailer: ELM [version 2.4ME+ PL31 (25)]
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

Sorry to follow up my own message, but I've found out that the DLL being on
a samba server makes a big difference.  I couldn't get the exception to occur
when cygwin.dll was local to the machine or when the whole package was local
to the machine.

It may just be that the window of interference is much smaller with a local
file so I can't run the programs at the exact same time.

Thanks,
Jason

> We're seeing a problem when two instances of any of the cygwin32 tools are run
> at the (almost) exact same time.
> 
> For instance, putting two msdos windows side by side with "env" on the command
> line, and hitting enter in both (as soon as humanly possible) will dump the
> exception below.
> 
> This is with b17.1, b18, and with Sergey's patched cygwin.dll.  Is this some
> type of dll initialization problem?  This sounds like a "well, then don't do
> that" kind of problem, but we're running into situations where multiple tools
> will be starting at the same time quite frequently.
> 
> Any ideas, or is this a known bug?
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".